Subject: bug#3391: Bug#3391: 23.0.93; bookmarks-jump only works on second try

From: henry atting <[email-masked]>
Date: Sat, 20 Jun 2009 13:52:21 +0200

On Fr, Jun 19 2009, Glenn Morris wrote:

> henry atting wrote:
>
>> When trying to open a file with bookmark-jump the first try results in
>> an error message like this:
>>
>> Loading bookmark...done
>> Fontifying .emacs.bmk... (regexps...)
>> string-match: Wrong type argument: symbolp,
>> ("org-remember-last-stored" (filename . "~/notes.org")
>> (front-context-string . "** [2009-05-26 D") (rear-context-string . "
>> Di 14:52] test ") (position . 2403))
>
>
> Please give a complete recipe showing how to reproduce the problem,
> starting from emacs -Q with no .emacs.bmk file. Also, do M-x
> toggle-debug-on-error and include the resulting backtrace.
>
> I could not reproduce this in normal use of bookmarks, but it seems
> org is involved somehow.

Emacs started with `-Q' and a non-existing .emacs.bmk leads to no
problems. I can set bookmarks and jump to it. 

Emacs started as usual and no .emacs.bmk present causes no problems
either. But if I set a bookmark and start it again the above mentioned
behaviour reoccures. (As I don't use bookmarks this would be no problem,
but org-mode sets a bookmark when using org-remember)

henry